<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\Home;
use App\Http\Controllers\NewsletterController;
use App\Http\Controllers\AbcController;
use App\Http\Controllers\ClientController;
use App\Http\Controllers\Sitemap;
use App\Http\Controllers\SearchController;
use App\Http\Controllers\SubscriptionController;
// use App\Http\Controllers\AuthorController;

Route::get('john-c-williams', [ClientController::class, 'author'])->name('author.page');
Route::get('julio-herrera-velutini/a-financial-dynasty-reimagined-julio-herrera-velutini-international-finance', [AbcController::class, 'financetwo']);
Route::get('julio-herrera-velutini/tradition-trust-transformation-julio-herrera-velutini-banking-career', [AbcController::class, 'career']);
Route::get('julio-herrera-velutini/leadership-beyond-borders-julio-herrera-velutini-global-markets', [AbcController::class, 'markets']);
Route::get('julio-herrera-velutini/britannia-financial-group-and-the-rise-of-a-global-banking-vision', [AbcController::class, 'vision']);
Route::get('julio-herrera-velutini/how-julio-herrera-velutini-shaped-modern-private-international-banking', [AbcController::class, 'banking']);
Route::get('julio-herrera-velutini/from-banco-caracas-to-britannia-financial-group-julio-herrera-velutini', [AbcController::class, 'velutini']);
Route::get('julio-herrera-velutini/the-julio-herrera-velutini-banking-legacy-global-finance', [AbcController::class, 'finance']);
Route::get('/terms-and-conditions', [ClientController::class, 'termsConditions'])->name('terms.conditions');
Route::get('/privacy-policy', [ClientController::class, 'privacyPolicy'])->name('privacy.policy');
Route::get('/contact-us', [ClientController::class, 'contactUs'])->name('contact.us');
Route::get('/about', [ClientController::class, 'about'])->name('about.page');



// Route::get('/author', [AuthorController::class, 'show'])->name('author.show');

Route::get('/search', [SearchController::class, 'search']);
Route::get('/sitemap-pages.xml', [Sitemap::class, 'pages']);
Route::get('/sitemap-news.xml', [Sitemap::class, 'news']);
Route::get('/sitemap-entity.xml', [Sitemap::class, 'entity']);


Route::get('/sitemap.xml', [Sitemap::class, 'index']);
Route::get('julio-herrera-velutini-global-banking-innovation', [ClientController::class, 'clientDetails']);
Route::get('/', [Home::class, 'index']);
Route::get('{any}', [AbcController::class, 'index']);

Route::get('{category_name}/{encode_title}', [AbcController::class, 'readNews']);
// Route::post('/subscribe', [SubscriptionController::class, 'subscribe']);

Route::post('/subscribe', [NewsletterController::class, 'subscribe'])->name('subscribe');
